/* ----------------------------- */
/* BLOG ITEM                     */
/* ----------------------------- */

.blog-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 30px;
    margin-top: 20px;
    margin-bottom: 40px;
}

.blog-item {
    background: #f9f9f9;
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
}

.blog-item a {
    text-decoration: none;
    color: inherit;
    display: block;
}

.blog-item:hover {
    transform: translateY(-5px);
}

.blog-item img {
    width: 100%;
    height: auto;
    display: block;
    border-radius: 10px 10px 0 0;
}

.blog-item h2 {
    font-size: 16px;
    padding: 15px 5px;
    margin-bottom: 0;
    color: #141478;
    text-align:center;
}

/* Actualizacion */

/* Ocultar todos los items inicialmente */
.blog-item {
    display: none;
    opacity: 0;
    transition: opacity 0.5s ease, transform 0.3s ease;
}

/* Mostrar los primeros 6 items */
.blog-item:nth-child(-n+6) {
    display: block;
    opacity: 1;
}

/* Clase para el efecto fade-in */
.fade-in {
    opacity: 1 !important;
}

/* Estilo para el botón cuando no hay más items */
.ver-mas-btn.hidden {
    display: none;
}

/* ----------------------------- */
/* ARTICULO                      */
/* ----------------------------- */

.articulo {
    display: flex;
    flex-wrap: wrap;
    gap: 40px;
    padding: 60px 20%;
}

.articulo-content {
    flex: 1; /* Ocupa el espacio restante */
    min-width: 300px; /* Ancho mínimo para evitar que se comprima demasiado */
}

.articulo-content h2 {
    text-align:left;
}

.articulo-content li {
    text-align:justify;
    margin-left: 14px;
}

.articulo-content li ul li {
  margin-bottom: 0;
}

.articulo-content p {
    text-align:justify;
}

.articulo-content p strong {
    color:#00b4aa;
} 

.articulo-content img {
    display:block;
    max-width: 100%;
    height: auto;
    border-radius: 10px;
    box-shadow: 0 0px 20px 0 rgb(0 0 0 / 10%);
    margin:0 auto 20px auto;
}

.articulo-content img.medium {
    width: 60%;
    display: block;
    margin: 0 auto;
    margin-bottom:20px;
}

/* ----------------------------- */
/* WIDGETS                       */
/* ----------------------------- */

.widgets {
    width: 325px; /* Ancho fijo de 325px */
    flex-shrink: 0; /* Evita que se reduzca */
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.widget {
    width: 100%;
}

.widget h2 {
    font-family: 'Geologica', sans-serif;
    color: white;
    background-color: #141478;
    margin:0;
    padding: 15px;
    width: 100%;
    border-radius:10px;
}

.widget a {
    text-decoration: none;
    color: inherit;
    display: block;
    padding: 20px 0;
}

.widget img {
    width: 100%;
    height: auto;
    border-radius: 10px;
    margin-bottom: 10px;
}

.widget h3 {
    font-family: 'Geologica', sans-serif;
    color: #00b4aa;
    text-align: center;
}

/* ----------------------------- */
/* ESTILOS RESPONSIVE            */
/* ----------------------------- */

@media (max-width: 992px) {
    .blog-grid {grid-template-columns: repeat(2, 1fr);gap:20px}
}

@media (max-width: 768px) {
    .articulo {
        padding: 60px 5%;
        flex-direction: column;
    }

    .articulo-content, .widgets {
        flex: 1 1 100%;
    }
}

@media (max-width: 600px) {
    .blog-grid {
        grid-template-columns: 1fr;
    }

    .blog-grid a {
        flex: 1 1 100%;
    }
}